diff -crBPN --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=advanced-cache.php --exclude=wp-cache-config.php --exclude=wordpress.sql --exclude=wp-config.php --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.pl /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/post-template.php /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/post-template.php
*** /home/packages/code/qi/SOURCES/wordpress-3.4.2/wp-includes/post-template.php	2012-10-29 12:35:30.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5/wp-includes/post-template.php	2012-12-17 16:18:41.000000000 -0600
***************
*** 26,33 ****
   * @return int
   */
  function get_the_ID() {
! 	global $post;
! 	return $post->ID;
  }
  
  /**
--- 26,32 ----
   * @return int
   */
  function get_the_ID() {
! 	return get_post()->ID;
  }
  
  /**
***************
*** 97,120 ****
   *
   * @since 0.71
   *
!  * @param int $id Optional. Post ID.
   * @return string
   */
! function get_the_title( $id = 0 ) {
! 	$post = &get_post($id);
  
! 	$title = isset($post->post_title) ? $post->post_title : '';
! 	$id = isset($post->ID) ? $post->ID : (int) $id;
  
! 	if ( !is_admin() ) {
! 		if ( !empty($post->post_password) ) {
! 			$protected_title_format = apply_filters('protected_title_format', __('Protected: %s'));
! 			$title = sprintf($protected_title_format, $title);
! 		} else if ( isset($post->post_status) && 'private' == $post->post_status ) {
! 			$private_title_format = apply_filters('private_title_format', __('Private: %s'));
! 			$title = sprintf($private_title_format, $title);
  		}
  	}
  	return apply_filters( 'the_title', $title, $id );
  }
  
--- 96,120 ----
   *
   * @since 0.71
   *
!  * @param mixed $post Optional. Post ID or object.
   * @return string
   */
! function get_the_title( $post = 0 ) {
! 	$post = get_post( $post );
  
! 	$title = isset( $post->post_title ) ? $post->post_title : '';
! 	$id = isset( $post->ID ) ? $post->ID : 0;
  
! 	if ( ! is_admin() ) {
! 		if ( ! empty( $post->post_password ) ) {
! 			$protected_title_format = apply_filters( 'protected_title_format', __( 'Protected: %s' ) );
! 			$title = sprintf( $protected_title_format, $title );
! 		} else if ( isset( $post->post_status ) && 'private' == $post->post_status ) {
! 			$private_title_format = apply_filters( 'private_title_format', __( 'Private: %s' ) );
! 			$title = sprintf( $private_title_format, $title );
  		}
  	}
+ 
  	return apply_filters( 'the_title', $title, $id );
  }
  
***************
*** 148,154 ****
   * @return string
   */
  function get_the_guid( $id = 0 ) {
! 	$post = &get_post($id);
  
  	return apply_filters('get_the_guid', $post->guid);
  }
--- 148,154 ----
   * @return string
   */
  function get_the_guid( $id = 0 ) {
! 	$post = get_post($id);
  
  	return apply_filters('get_the_guid', $post->guid);
  }
***************
*** 177,184 ****
   * @param bool $stripteaser Optional. Strip teaser content before the more text. Default is false.
   * @return string
   */
! function get_the_content($more_link_text = null, $stripteaser = false) {
! 	global $post, $more, $page, $pages, $multipage, $preview;
  
  	if ( null === $more_link_text )
  		$more_link_text = __( '(more...)' );
--- 177,186 ----
   * @param bool $stripteaser Optional. Strip teaser content before the more text. Default is false.
   * @return string
   */
! function get_the_content( $more_link_text = null, $stripteaser = false ) {
! 	global $more, $page, $pages, $multipage, $preview;
! 
! 	$post = get_post();
  
  	if ( null === $more_link_text )
  		$more_link_text = __( '(more...)' );
***************
*** 187,193 ****
  	$hasTeaser = false;
  
  	// If post password required and it doesn't match the cookie.
! 	if ( post_password_required($post) )
  		return get_the_password_form();
  
  	if ( $page > count($pages) ) // if the requested page doesn't exist
--- 189,195 ----
  	$hasTeaser = false;
  
  	// If post password required and it doesn't match the cookie.
! 	if ( post_password_required() )
  		return get_the_password_form();
  
  	if ( $page > count($pages) ) // if the requested page doesn't exist
***************
*** 231,237 ****
   * @since 3.1.0
   * @access private
   * @param array $match Match array from preg_replace_callback
!  * @returns string
   */
  function _convert_urlencoded_to_entities( $match ) {
  	return '&#' . base_convert( $match[1], 16, 10 ) . ';';
--- 233,239 ----
   * @since 3.1.0
   * @access private
   * @param array $match Match array from preg_replace_callback
!  * @return string
   */
  function _convert_urlencoded_to_entities( $match ) {
  	return '&#' . base_convert( $match[1], 16, 10 ) . ';';
***************
*** 259,272 ****
  	if ( !empty( $deprecated ) )
  		_deprecated_argument( __FUNCTION__, '2.3' );
  
! 	global $post;
! 	$output = $post->post_excerpt;
! 	if ( post_password_required($post) ) {
! 		$output = __('There is no excerpt because this is a protected post.');
! 		return $output;
  	}
  
! 	return apply_filters('get_the_excerpt', $output);
  }
  
  /**
--- 261,273 ----
  	if ( !empty( $deprecated ) )
  		_deprecated_argument( __FUNCTION__, '2.3' );
  
! 	$post = get_post();
! 
! 	if ( post_password_required() ) {
! 		return __( 'There is no excerpt because this is a protected post.' );
  	}
  
! 	return apply_filters( 'get_the_excerpt', $post->post_excerpt );
  }
  
  /**
***************
*** 278,284 ****
   * @return bool
   */
  function has_excerpt( $id = 0 ) {
! 	$post = &get_post( $id );
  	return ( !empty( $post->post_excerpt ) );
  }
  
--- 279,285 ----
   * @return bool
   */
  function has_excerpt( $id = 0 ) {
! 	$post = get_post( $id );
  	return ( !empty( $post->post_excerpt ) );
  }
  
***************
*** 321,327 ****
  		return $classes;
  
  	$classes[] = 'post-' . $post->ID;
! 	$classes[] = $post->post_type;
  	$classes[] = 'type-' . $post->post_type;
  	$classes[] = 'status-' . $post->post_status;
  
--- 322,329 ----
  		return $classes;
  
  	$classes[] = 'post-' . $post->ID;
! 	if ( ! is_admin() )
! 		$classes[] = $post->post_type;
  	$classes[] = 'type-' . $post->post_type;
  	$classes[] = 'status-' . $post->post_status;
  
***************
*** 427,443 ****
  		$post = $wp_query->get_queried_object();
  
  		$classes[] = 'single';
! 		$classes[] = 'single-' . sanitize_html_class($post->post_type, $post_id);
! 		$classes[] = 'postid-' . $post_id;
! 
! 		// Post Format
! 		if ( post_type_supports( $post->post_type, 'post-formats' ) ) {
! 			$post_format = get_post_format( $post->ID );
! 
! 			if ( $post_format && !is_wp_error($post_format) )
! 				$classes[] = 'single-format-' . sanitize_html_class( $post_format );
! 			else
! 				$classes[] = 'single-format-standard';
  		}
  
  		if ( is_attachment() ) {
--- 429,447 ----
  		$post = $wp_query->get_queried_object();
  
  		$classes[] = 'single';
! 		if ( isset( $post->post_type ) ) {
! 			$classes[] = 'single-' . sanitize_html_class($post->post_type, $post_id);
! 			$classes[] = 'postid-' . $post_id;
! 
! 			// Post Format
! 			if ( post_type_supports( $post->post_type, 'post-formats' ) ) {
! 				$post_format = get_post_format( $post->ID );
! 
! 				if ( $post_format && !is_wp_error($post_format) )
! 					$classes[] = 'single-format-' . sanitize_html_class( $post_format );
! 				else
! 					$classes[] = 'single-format-standard';
! 			}
  		}
  
  		if ( is_attachment() ) {
***************
*** 453,482 ****
  		} else if ( is_author() ) {
  			$author = $wp_query->get_queried_object();
  			$classes[] = 'author';
! 			$classes[] = 'author-' . sanitize_html_class( $author->user_nicename , $author->ID );
! 			$classes[] = 'author-' . $author->ID;
  		} elseif ( is_category() ) {
  			$cat = $wp_query->get_queried_object();
  			$classes[] = 'category';
! 			$classes[] = 'category-' . sanitize_html_class( $cat->slug, $cat->term_id );
! 			$classes[] = 'category-' . $cat->term_id;
  		} elseif ( is_tag() ) {
  			$tags = $wp_query->get_queried_object();
  			$classes[] = 'tag';
! 			$classes[] = 'tag-' . sanitize_html_class( $tags->slug, $tags->term_id );
! 			$classes[] = 'tag-' . $tags->term_id;
  		} elseif ( is_tax() ) {
  			$term = $wp_query->get_queried_object();
! 			$classes[] = 'tax-' . sanitize_html_class( $term->taxonomy );
! 			$classes[] = 'term-' . sanitize_html_class( $term->slug, $term->term_id );
! 			$classes[] = 'term-' . $term->term_id;
  		}
  	} elseif ( is_page() ) {
  		$classes[] = 'page';
  
  		$page_id = $wp_query->get_queried_object_id();
  
! 		$post = get_page($page_id);
  
  		$classes[] = 'page-id-' . $page_id;
  
--- 457,494 ----
  		} else if ( is_author() ) {
  			$author = $wp_query->get_queried_object();
  			$classes[] = 'author';
! 			if ( isset( $author->user_nicename ) ) {
! 				$classes[] = 'author-' . sanitize_html_class( $author->user_nicename, $author->ID );
! 				$classes[] = 'author-' . $author->ID;
! 			}
  		} elseif ( is_category() ) {
  			$cat = $wp_query->get_queried_object();
  			$classes[] = 'category';
! 			if ( isset( $cat->term_id ) ) {
! 				$classes[] = 'category-' . sanitize_html_class( $cat->slug, $cat->term_id );
! 				$classes[] = 'category-' . $cat->term_id;
! 			}
  		} elseif ( is_tag() ) {
  			$tags = $wp_query->get_queried_object();
  			$classes[] = 'tag';
! 			if ( isset( $tags->term_id ) ) {
! 				$classes[] = 'tag-' . sanitize_html_class( $tags->slug, $tags->term_id );
! 				$classes[] = 'tag-' . $tags->term_id;
! 			}
  		} elseif ( is_tax() ) {
  			$term = $wp_query->get_queried_object();
! 			if ( isset( $term->term_id ) ) {
! 				$classes[] = 'tax-' . sanitize_html_class( $term->taxonomy );
! 				$classes[] = 'term-' . sanitize_html_class( $term->slug, $term->term_id );
! 				$classes[] = 'term-' . $term->term_id;
! 			}
  		}
  	} elseif ( is_page() ) {
  		$classes[] = 'page';
  
  		$page_id = $wp_query->get_queried_object_id();
  
! 		$post = get_post($page_id);
  
  		$classes[] = 'page-id-' . $page_id;
  
***************
*** 498,505 ****
  	if ( is_user_logged_in() )
  		$classes[] = 'logged-in';
  
! 	if ( is_admin_bar_showing() )
  		$classes[] = 'admin-bar';
  
  	if ( get_theme_mod( 'background_color' ) || get_background_image() )
  		$classes[] = 'custom-background';
--- 510,519 ----
  	if ( is_user_logged_in() )
  		$classes[] = 'logged-in';
  
! 	if ( is_admin_bar_showing() ) {
  		$classes[] = 'admin-bar';
+ 		$classes[] = 'no-customize-support';
+ 	}
  
  	if ( get_theme_mod( 'background_color' ) || get_background_image() )
  		$classes[] = 'custom-background';
***************
*** 575,594 ****
  }
  
  /**
-  * Display "sticky" CSS class, if a post is sticky.
-  *
-  * @since 2.7.0
-  *
-  * @param int $post_id An optional post ID.
-  */
- function sticky_class( $post_id = null ) {
- 	if ( !is_sticky($post_id) )
- 		return;
- 
- 	echo " sticky";
- }
- 
- /**
   * Page Template Functions for usage in Themes
   *
   * @package WordPress
--- 589,594 ----
***************
*** 692,698 ****
   * @return string Link.
   */
  function _wp_link_page( $i ) {
! 	global $post, $wp_rewrite;
  
  	if ( 1 == $i ) {
  		$url = get_permalink();
--- 692,699 ----
   * @return string Link.
   */
  function _wp_link_page( $i ) {
! 	global $wp_rewrite;
! 	$post = get_post();
  
  	if ( 1 == $i ) {
  		$url = get_permalink();
***************
*** 881,886 ****
--- 882,888 ----
   * @since 2.7.0
   *
   * @param array|string $args
+  * @return string html menu
   */
  function wp_page_menu( $args = array() ) {
  	$defaults = array('sort_column' => 'menu_order, post_title', 'menu_class' => 'menu', 'echo' => true, 'link_before' => '', 'link_after' => '');
***************
*** 945,951 ****
  		$walker = $r['walker'];
  
  	$args = array($pages, $depth, $r, $current_page);
! 	return call_user_func_array(array(&$walker, 'walk'), $args);
  }
  
  /**
--- 947,953 ----
  		$walker = $r['walker'];
  
  	$args = array($pages, $depth, $r, $current_page);
! 	return call_user_func_array(array($walker, 'walk'), $args);
  }
  
  /**
***************
*** 962,968 ****
  	else
  		$walker = $args[2]['walker'];
  
! 	return call_user_func_array(array(&$walker, 'walk'), $args);
  }
  
  /**
--- 964,970 ----
  	else
  		$walker = $args[2]['walker'];
  
! 	return call_user_func_array(array($walker, 'walk'), $args);
  }
  
  /**
***************
*** 994,999 ****
--- 996,1002 ----
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
  	 * @param int $depth Depth of page. Used for padding.
+ 	 * @param array $args
  	 */
  	function start_lvl( &$output, $depth = 0, $args = array() ) {
  		$indent = str_repeat("\t", $depth);
***************
*** 1006,1011 ****
--- 1009,1015 ----
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
  	 * @param int $depth Depth of page. Used for padding.
+ 	 * @param array $args
  	 */
  	function end_lvl( &$output, $depth = 0, $args = array() ) {
  		$indent = str_repeat("\t", $depth);
***************
*** 1031,1039 ****
  		extract($args, EXTR_SKIP);
  		$css_class = array('page_item', 'page-item-'.$page->ID);
  		if ( !empty($current_page) ) {
! 			$_current_page = get_page( $current_page );
! 			_get_post_ancestors($_current_page);
! 			if ( isset($_current_page->ancestors) && in_array($page->ID, (array) $_current_page->ancestors) )
  				$css_class[] = 'current_page_ancestor';
  			if ( $page->ID == $current_page )
  				$css_class[] = 'current_page_item';
--- 1035,1042 ----
  		extract($args, EXTR_SKIP);
  		$css_class = array('page_item', 'page-item-'.$page->ID);
  		if ( !empty($current_page) ) {
! 			$_current_page = get_post( $current_page );
! 			if ( in_array( $page->ID, $_current_page->ancestors ) )
  				$css_class[] = 'current_page_ancestor';
  			if ( $page->ID == $current_page )
  				$css_class[] = 'current_page_item';
***************
*** 1064,1069 ****
--- 1067,1073 ----
  	 * @param string $output Passed by reference. Used to append additional content.
  	 * @param object $page Page data object. Not used.
  	 * @param int $depth Depth of page. Not Used.
+ 	 * @param array $args
  	 */
  	function end_el( &$output, $page, $depth = 0, $args = array() ) {
  		$output .= "</li>\n";
***************
*** 1102,1107 ****
--- 1106,1112 ----
  	 * @param object $page Page data object.
  	 * @param int $depth Depth of page in reference to parent pages. Used for padding.
  	 * @param array $args Uses 'selected' argument for selected page to set selected HTML attribute for option element.
+ 	 * @param int $id
  	 */
  	function start_el(&$output, $page, $depth, $args, $id = 0) {
  		$pad = str_repeat('&nbsp;', $depth * 3);
***************
*** 1150,1161 ****
   * @param string $size Optional, default is 'thumbnail'. Size of image, either array or string.
   * @param bool $permalink Optional, default is false. Whether to add permalink to image.
   * @param bool $icon Optional, default is false. Whether to include icon.
!  * @param string $text Optional, default is false. If string, then will be link text.
   * @return string HTML content.
   */
  function wp_get_attachment_link( $id = 0, $size = 'thumbnail', $permalink = false, $icon = false, $text = false ) {
  	$id = intval( $id );
! 	$_post = & get_post( $id );
  
  	if ( empty( $_post ) || ( 'attachment' != $_post->post_type ) || ! $url = wp_get_attachment_url( $_post->ID ) )
  		return __( 'Missing Attachment' );
--- 1155,1166 ----
   * @param string $size Optional, default is 'thumbnail'. Size of image, either array or string.
   * @param bool $permalink Optional, default is false. Whether to add permalink to image.
   * @param bool $icon Optional, default is false. Whether to include icon.
!  * @param string|bool $text Optional, default is false. If string, then will be link text.
   * @return string HTML content.
   */
  function wp_get_attachment_link( $id = 0, $size = 'thumbnail', $permalink = false, $icon = false, $text = false ) {
  	$id = intval( $id );
! 	$_post = get_post( $id );
  
  	if ( empty( $_post ) || ( 'attachment' != $_post->post_type ) || ! $url = wp_get_attachment_url( $_post->ID ) )
  		return __( 'Missing Attachment' );
***************
*** 1188,1194 ****
   * @return string
   */
  function prepend_attachment($content) {
! 	global $post;
  
  	if ( empty($post->post_type) || $post->post_type != 'attachment' )
  		return $content;
--- 1193,1199 ----
   * @return string
   */
  function prepend_attachment($content) {
! 	$post = get_post();
  
  	if ( empty($post->post_type) || $post->post_type != 'attachment' )
  		return $content;
***************
*** 1215,1221 ****
   * @return string HTML content for password form for password protected post.
   */
  function get_the_password_form() {
! 	global $post;
  	$label = 'pwbox-' . ( empty($post->ID) ? rand() : $post->ID );
  	$output = '<form action="' . esc_url( site_url( 'wp-login.php?action=postpass', 'login_post' ) ) . '" method="post">
  	<p>' . __("This post is password protected. To view it please enter your password below:") . '</p>
--- 1220,1226 ----
   * @return string HTML content for password form for password protected post.
   */
  function get_the_password_form() {
! 	$post = get_post();
  	$label = 'pwbox-' . ( empty($post->ID) ? rand() : $post->ID );
  	$output = '<form action="' . esc_url( site_url( 'wp-login.php?action=postpass', 'login_post' ) ) . '" method="post">
  	<p>' . __("This post is password protected. To view it please enter your password below:") . '</p>
***************
*** 1261,1267 ****
   *
   * @since 3.4.0
   *
!  * @param int $id The page ID to check. Defaults to the current post, when used in the loop.
   * @return string|bool Page template filename. Returns an empty string when the default page template
   * 	is in use. Returns false if the post is not a page.
   */
--- 1266,1272 ----
   *
   * @since 3.4.0
   *
!  * @param int $post_id The page ID to check. Defaults to the current post, when used in the loop.
   * @return string|bool Page template filename. Returns an empty string when the default page template
   * 	is in use. Returns false if the post is not a page.
   */
***************
*** 1432,1440 ****
  	<col style="width: 33%" />
  <thead>
  <tr>
! 	<th scope="col"><?php /* translators: column name in revisons */ _ex( 'Old', 'revisions column name' ); ?></th>
! 	<th scope="col"><?php /* translators: column name in revisons */ _ex( 'New', 'revisions column name' ); ?></th>
! 	<th scope="col"><?php /* translators: column name in revisons */ _ex( 'Date Created', 'revisions column name' ); ?></th>
  	<th scope="col"><?php _e( 'Author' ); ?></th>
  	<th scope="col" class="action-links"><?php _e( 'Actions' ); ?></th>
  </tr>
--- 1437,1445 ----
  	<col style="width: 33%" />
  <thead>
  <tr>
! 	<th scope="col"><?php /* translators: column name in revisions */ _ex( 'Old', 'revisions column name' ); ?></th>
! 	<th scope="col"><?php /* translators: column name in revisions */ _ex( 'New', 'revisions column name' ); ?></th>
! 	<th scope="col"><?php /* translators: column name in revisions */ _ex( 'Date Created', 'revisions column name' ); ?></th>
  	<th scope="col"><?php _e( 'Author' ); ?></th>
  	<th scope="col" class="action-links"><?php _e( 'Actions' ); ?></th>
  </tr>
